Name: libfm
Summary: core part of pcmanfm-ng
Version: 0.1.13
Release: alt0.M50P.3
License: GPL
Packager: LXDE Development Team <lxde at packages.altlinux.org>
Group: File tools
Url: http://pcmanfm.sourceforge.net/

Source: %name-%version.tar.gz
#Source1: %name.watch

BuildPreReq: rpm-build-xdg
BuildRequires: intltool libgtk+2-devel libmenu-cache-devel

%description
Description: LibFM is a GIO-based library used to develop file
manager-like programs. It is developed as the core of next generation
PCManFM and takes care of all file-related operations such as
copy & paste, drag & drop, file associations or thumbnail support. By
utilizing glib/gio and gvfs, libfm can access remote filesystems
supported by gvfs.

%package devel
Summary: devel files for libmanfm
Group: Development/Other

%description devel
This package contains files needed to build libfm-dependent applications

%package devel-static
Summary: static devel
Group: Development/Other

%description devel-static
This package contains files needed to statically link to libfm

%prep
%setup

%build
%autoreconf
%configure \
    --enable-largefile \
    --sysconfdir=/etc

%make

%install
make DESTDIR=%buildroot install
%find_lang %name

%files -f %name.lang
%_xdgconfigdir/*
%_bindir/*
%_libdir/*.so.*

%_libdir/%name
%_libdir/gio/modules/libgiofm.la
%_libdir/gio/modules/libgiofm.so

%_xdgmimedir/packages/*
%_datadir/%name/
%_desktopdir/*

%files devel
%_libdir/*.so
%_includedir/%name
%_pkgconfigdir/*

%files devel-static
%_libdir/*.a

%changelog
* Tue Dec 14 2010 Radik Usupov <radik@altlinux.org> 0.1.13-alt0.M50P.3
- Fix bug in untrash behavior

* Thu Dec 02 2010 Radik Usupov <radik@altlinux.org> 0.1.13-alt0.M50P.2
- Build from p5 platform

* Thu Dec 02 2010 Radik Usupov <radik@altlinux.org> 0.1.13-alt0.M51.2
- Updated Russian translation

* Wed Jul 21 2010 Mykola Grechukh <gns@altlinux.ru> 0.1.13-alt0.M51.1
- backported new upstream version

* Sun May 30 2010 Mykola Grechukh <gns@altlinux.ru> 0.1.12-alt1
- new upstream version

* Tue May 04 2010 Mykola Grechukh <gns@altlinux.ru> 0.1.11-alt1
- new upstream version

* Mon Apr 26 2010 Mykola Grechukh <gns@altlinux.ru> 0.1.10-alt1
- new version

* Mon Apr 12 2010 Nick S. Grechukh <gns@altlinux.ru> 0.1.9-alt1
- new version

* Fri Mar 12 2010 Nick S. Grechukh <gns@altlinux.ru> 0.1.5-alt1
- first build
